%define pkg_name        Inline
%define pkg_version     0.44
%define rpm_pkg_version 0.44
%define rpm_pkg_release 27.n0i.8

Summary:       Write Perl subroutines in other languages
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/I/IN/INGY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Data::Dumper) >= 2.09
BuildRequires: perl(Digest::MD5) >= 2.09
BuildRequires: perl(File::Spec) >= 0.8
BuildRequires: perl(Parse::RecDescent) >= 1.80


%description
The Inline module allows you to put source code from other
programming languages directly "inline" in a Perl script or module.
The code is automatically compiled as needed, and then loaded
for immediate access from Perl.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -l}
%doc Changes README


%changelog
* Sat Jun 02 2007 Marius Feraru <altblue@n0i.net> - 0.44-27.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.44-26.n0i.7
- automatic rebuild (perl 5.8.8)

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.44-25.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.44-24.n0i.5
- automatic rebuild (perl 5.8.6)

* Tue Nov 30 2004 Marius FERARU <altblue@n0i.net> 0:0.44-24.n0i.4
- rebuild (perl 5.8.6)

* Thu May 06 2004 Marius Feraru <altblue@n0i.net> 0:0.44-23.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.44-8.n0i.2
- automatic rebuild (perl v.5.8.3)

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:0.44-8.n0i.1
- version 0.44
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001

* Sun Jul 27 2003 Marius FERARU <altblue@n0i.net>
- specs cleanups
- custom rebuild

* Tue Jun 17 2003 Chip Turner <cturner@redhat.com> 0.44-8
- rebuild

* Mon Jan 27 2003 Chip Turner <cturner@redhat.com>
- version bump and rebuild

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild
- update to 0.44

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Fri Jun 07 2002 cturner@redhat.com
- Specfile autogenerated
